PostgreSQL 7.1.3 Documentation
Prev |  | Next

# ROLLBACK

## Name

ROLLBACK -- Aborts the current transaction

## Synopsis

    ROLLBACK [ WORK | TRANSACTION ]

### Inputs

None.

### Outputs

`ABORT`

  Message returned if successful.

`NOTICE: ROLLBACK: no transaction in progress`

  If there is not any transaction currently in progress.

## Description

ROLLBACK rolls back the current transaction and causes all the updates made by the transaction to be discarded.

### Notes

Use COMMIT to successfully terminate a transaction. ABORT is a synonym for ROLLBACK.

## Usage

To abort all changes:

    ROLLBACK WORK;

## Compatibility

### SQL92

SQL92 only specifies the two forms `ROLLBACK` and `ROLLBACK WORK`. Otherwise full compatibility.

Prev | Home | Next
REVOKE | Up | SELECT